<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    style="@style/MatchWrap"
    android:layout_marginStart="5dp"
    android:layout_marginTop="5dp"
    android:layout_marginEnd="5dp"
    android:layout_marginBottom="0dp"
    app:cardBackgroundColor="@color/white"
    app:cardCornerRadius="5dp"
    app:cardElevation="3dp"
    app:cardUseCompatPadding="true">

    <!-- Main content container -->
    <LinearLayout
        style="@style/MatchWrap.Vertical"
        android:paddingStart="10dp"
        android:paddingTop="10dp"
        android:paddingEnd="10dp"
        android:paddingBottom="5dp">

        <!-- Info Row 1 -->
        <RelativeLayout
            style="@style/MatchWrap"
            android:gravity="center_vertical">
            <!-- 批次号 -->
            <TextView
                android:id="@+id/tv_batch_no_tip"
                style="@style/WrapWrap"
                android:layout_centerVertical="true"
                android:text="批次号"
                android:textColor="@color/c_6666"
                android:textSize="12sp" />

            <TextView
                android:id="@+id/tv_batch_no"
                style="@style/WrapWrap"
                android:layout_centerVertical="true"
                android:layout_marginStart="10dp"
                android:layout_toEndOf="@+id/tv_batch_no_tip"
                android:text="-"
                android:textColor="@color/purple_200"
                android:textSize="14sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_check_status"
                style="@style/WrapWrap"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_gravity="end"
                android:background="@drawable/status_green_bg"
                android:paddingHorizontal="10dp"
                android:paddingVertical="2dp"
                android:text="已盘点"
                android:textColor="@color/purple_200"
                android:textSize="12sp" />
        </RelativeLayout>

        <LinearLayout
            style="@style/MatchWrap.Horizontal"
            android:gravity="center_vertical">
            <!-- RFID标签 -->
            <TextView
                style="@style/WrapWrap"
                android:text="RFID标签"
                android:textColor="@color/c_6666"
                android:textSize="12sp" />

            <TextView
                android:id="@+id/tv_rfid_tag"
                style="@style/WrapWrap"
                android:layout_marginStart="10dp"
                android:text="-"
                android:textColor="@color/purple_200"
                android:textSize="14sp"
                android:textStyle="bold" />
        </LinearLayout>
        <!--横线-->
        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="5dp"
            android:background="@color/c_f5f5" />

        <LinearLayout style="@style/MatchWrap.Horizontal">

            <LinearLayout
                style="@style/MatchWrap.Vertical"
                android:layout_weight="1">

                <!-- 仓库名称 -->
                <TextView
                    style="@style/WrapWrap"
                    android:layout_marginTop="5dp"
                    android:text="仓库名称"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_warehouse_name"
                    style="@style/text_black14_ww"
                    android:text="-"
                    android:textStyle="bold" />

                <!-- 货架名称 -->
                <TextView
                    style="@style/WrapWrap"
                    android:layout_marginTop="5dp"
                    android:text="货架名称"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_location_name"
                    style="@style/text_black14_ww"
                    android:text="-"
                    android:textStyle="bold" />

                <!-- 实际数量 -->
                <TextView
                    style="@style/WrapWrap"
                    android:layout_marginTop="5dp"
                    android:text="实际数量"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_actual_quantity"
                    style="@style/text_black14_ww"
                    android:text="-"
                    android:textStyle="bold" />

                <LinearLayout
                    android:id="@+id/ll1"
                    style="@style/WrapWrap.Vertical"
                    android:visibility="gone">
                    <!-- 盘点员姓名 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_marginTop="5dp"
                        android:text="盘点时间"
                        android:textColor="@color/c_6666"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/tv_check_time"
                        style="@style/text_black14_ww"
                        android:text="-"
                        android:textStyle="bold" />

                    <!-- 差异率 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_marginTop="5dp"
                        android:text="差异率"
                        android:textColor="@color/c_6666"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/tv_difference_rate"
                        style="@style/text_black14_ww"
                        android:text="-"
                        android:textStyle="bold" />

                    <!-- 备注 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_marginTop="5dp"
                        android:text="备注"
                        android:textColor="@color/c_6666"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/tv_remark"
                        style="@style/text_black14_ww"
                        android:text="-"
                        android:textStyle="bold" />


                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                style="@style/MatchWrap.Vertical"
                android:layout_weight="1">
                <!-- 库区名称 -->
                <TextView
                    style="@style/WrapWrap"
                    android:layout_marginTop="5dp"
                    android:text="库区名称"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_area_name"
                    style="@style/text_black14_ww"
                    android:text="-"
                    android:textStyle="bold" />

                <!-- 系统数量 -->
                <TextView
                    style="@style/WrapWrap"
                    android:layout_marginTop="5dp"
                    android:text="系统数量"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_system_quantity"
                    style="@style/text_black14_ww"
                    android:text="-"
                    android:textStyle="bold" />
                <!-- 盘点员姓名 -->
                <TextView
                    style="@style/WrapWrap"
                    android:layout_marginTop="5dp"
                    android:text="盘点员姓名"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_checker_name"
                    style="@style/text_black14_ww"
                    android:text="-"
                    android:textStyle="bold" />

                <LinearLayout
                    android:id="@+id/ll2"
                    style="@style/WrapWrap.Vertical"
                    android:visibility="gone">

                    <!-- 差异数量 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_marginTop="5dp"
                        android:text="差异数量"
                        android:textColor="@color/c_6666"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/tv_difference_quantity"
                        style="@style/text_black14_ww"
                        android:text="-"
                        android:textStyle="bold" />

                    <!-- 差异率 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_marginTop="5dp"
                        android:text="差异原因"
                        android:textColor="@color/c_6666"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/tv_difference_reason"
                        style="@style/text_black14_ww"
                        android:text="-"
                        android:textStyle="bold" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
        <!--展开收起-->
        <LinearLayout
            android:id="@+id/rl_up"
            style="@style/WrapWrap.Horizontal"
            android:layout_gravity="center_horizontal"
            android:background="?actionBarItemBackground"
            android:gravity="center"
            android:paddingHorizontal="20dp"
            android:paddingVertical="5dp">

            <TextView
                android:id="@+id/expand_button"
                style="@style/WrapWrap"
                android:text="展开"
                android:textColor="@color/text_gray"
                android:textSize="12sp" />

            <ImageView
                android:id="@+id/iv_up"
                android:layout_width="15dp"
                android:layout_height="15dp"
                android:layout_marginStart="2dp"
                android:src="@drawable/down_icon" />
        </LinearLayout>

    </LinearLayout>
</androidx.cardview.widget.CardView>